# Class: jboss_as::config
# Configures the JBoss AS, some JVM runtime parameters, and add'l modules.
#
class jboss_as::config {

  if ($jboss_as::jboss_standalone_tpl == undef) {
    file { "${jboss_as::jboss_home}/standalone/configuration/standalone.xml":
      ensure  => present,
      owner   => $jboss_as::jboss_user,
      group   => $jboss_as::jboss_group,
      replace => 'true',
      mode    => '0644',
      content => template("jboss_as/standalone.xml.erb"),
      require => Class['jboss_as::install']
    }
  }
  else {
    file { "${jboss_as::jboss_home}/standalone/configuration/standalone.xml":
      ensure  => present,
      owner   => $jboss_as::jboss_user,
      group   => $jboss_as::jboss_group,
      replace => 'true',
      mode    => '0644',
      source  => "${jboss_as::jboss_standalone_tpl}",
      require => Class['jboss_as::install']
    }
  }

  file { '/etc/jboss-as': ensure => directory }

  file { '/etc/jboss-as/jboss-as.conf':
    ensure  => present,
    owner   => 'root',
    group   => 'root',
    mode    => '0644',
    content => template('jboss_as/jboss-as-service.conf.erb'),
    require => File['/etc/jboss-as', '/etc/init.d/jbossas7']
  }

  # Add additional JBoss modules (datastore drivers, etc) below.

}
