# Definition: jboss_as::deploy
# Deploys a EAR/WAR application archive to a JBoss application server.
#
define jboss_as::deploy(
  $pkg             = $title,
  $pkg_path        = '',
  $is_deployed     = true,
) {
  include jboss_as

  case $is_deployed {
    true:  { $ensure = 'present' }
    false:   { $ensure = 'absent' }
    default: { $ensure = 'present' }
  }

  # Undeploy the application
  exec { "undeploy $pkg" :
    require  => Class['jboss_as::install', 'jboss_as::config'],
    command  => "jboss-cli.sh --connect --user=$jboss_as::jboss_admin --password=$jboss_as::jboss_pass 'undeploy $pkg'",
    path     => "/usr/bin:/bin:${jboss_as::jboss_home}/bin",
    onlyif   => ["test -f $pkg_path/$pkg","jboss-cli.sh -c command=\"deployment-info --name=$pkg\" | grep OK"],
  }->
  # Deploy the application
  exec { "deploy $pkg" :
    command  => "jboss-cli.sh --connect --user=$jboss_as::jboss_admin --password=$jboss_as::jboss_pass 'deploy $pkg_path/$pkg'",
    path     => "/usr/bin:/bin:${jboss_as::jboss_home}/bin",
    onlyif   => "test -f $pkg_path/$pkg",
  }
}
