# Class jboss_as::params
# Parameters used throughout the module.
#
class jboss_as::params {
  $jboss_user         = 'jboss'
  $jboss_group        = 'jboss'
  $jboss_admin        = 'admin'
  $jboss_pass         = 'pass'
  $jboss_dist         = 'jboss-as-7.1.1.Final.tar.gz'
  $jboss_src          = 'puppet:///modules/jboss_as/files'
  $jboss_home         = '/usr/share/jboss-as'
  $staging_dir        = '/tmp/puppet-staging/jboss_as'
  $always_download    = 'false'
  $initscript_install = 'true'

  # Init script template and install commands based on OS
  case $::operatingsystem {
    redhat, centos: {
      $initscript_template    = 'jboss_as/jboss-as-initscript-el.sh.erb'
      $initscript_install_cmd = 'chkconfig --add jboss-as'
    }
    ubuntu: {
      $initscript_template    = 'jboss_as/jboss-as-initscript-ubuntu.sh.erb'
      $initscript_install_cmd = 'update-rc.d jboss-as defaults'
    }
    default: {
      # Note that we should never make it here... if the OS is unsupported,
      # it should have failed in `init.pp`.
      fail("Unsupported operating system ${::operatingsystem}")
    }
  }
}
